#SHORTCUTS FOR CUSTOMIZATION
#
    #1. CONDITIONAL
    #   execute as @e[type=villager,nbt={VillagerData:{profession:"minecraft:farmer", level:2, type:"minecraft:plains"}},tag=!smithed.strict] run data merge entity @s {
    #3. BEGIN NEW TRADE
    #   run data merge entity @s {PersistenceRequired:1,Offers:{Recipes:[
    #2. ADD NEW TRADE
    #   ,{buy:{id:gold_nugget,Count:1},sell:{id:carrot,Count:4},maxUses:5}]}}
#
    # UPDATES 
        # 1.0.42 - ADDED STRING TO ALL NOVICES
#
#CODE
    #   REMOVING VANILLA TRADES
    execute as @e[type=villager,nbt={VillagerData:{profession:"minecraft:farmer"}},tag=!smithed.strict] run data remove entity @s Offers.Recipes
    #TRADE SETUP
        #   PLAINS
            #   NOVICES
                #if farmer is from plains and novice, adds persistence + trade, max. 5:
                # 3 gold nugget -> 1 hay_block
                # 8 wheat_seeds -> 1 gold nugget
                # 1 gold nugget -> 4 carrots
                # 2 gold nugget -> 6 string
                execute as @e[type=villager,nbt={VillagerData:{profession:"minecraft:farmer", level:1, type:"minecraft:plains"}},tag=!smithed.strict] run data merge entity @s {PersistenceRequired:1,Offers:{Recipes:[{buy:{id:gold_nugget,Count:4},sell:{id:hay_block,Count:1},maxUses:5},{buy:{id:wheat_seeds,Count:8},sell:{id:gold_nugget,Count:2},maxUses:5},{buy:{id:gold_nugget,Count:1},sell:{id:carrot,Count:4},maxUses:5},{buy:{id:gold_nugget,Count:2},sell:{id:string,Count:6},maxUses:5}]}}
            #   APPRENTICES
                #if farmer is from plains and apprentice, adds persistence + trade, max. 5:
                # 3 gold nugget -> 1 hay_block
                # 8 wheat_seeds -> 1 gold nugget
                # 1 gold nugget -> 4 carrots
                # 2 gold nugget -> 6 string
                # 4 bone_meal -> 2 gold nugget
                # 2 gold_nugget -> 4 white_tulip
                execute as @e[type=villager,nbt={VillagerData:{profession:"minecraft:farmer", level:2, type:"minecraft:plains"}},tag=!smithed.strict] run data merge entity @s {PersistenceRequired:1,Offers:{Recipes:[{buy:{id:gold_nugget,Count:4},sell:{id:hay_block,Count:1},maxUses:5},{buy:{id:wheat_seeds,Count:8},sell:{id:gold_nugget,Count:2},maxUses:5},{buy:{id:gold_nugget,Count:1},sell:{id:carrot,Count:4},maxUses:5},{buy:{id:gold_nugget,Count:2},sell:{id:string,Count:6},maxUses:5},{buy:{id:gold_nugget,Count:1},sell:{id:sweet_berries,Count:8},maxUses:5},{buy:{id:bone_meal,Count:4},sell:{id:gold_nugget,Count:2},maxUses:5},{buy:{id:gold_nugget,Count:2},sell:{id:white_tulip,Count:4},maxUses:5}]}}
            #   JOURNEYMEN
                #if farmer is from plains and journeyman, adds persistence + trade, max. 5:
                # 3 gold nugget -> 1 hay_block
                # 8 wheat_seeds -> 1 gold nugget
                # 1 gold nugget -> 4 carrots
                # 2 gold nugget -> 6 string
                # 2 gold nugget -> 4 white_tulip
                # 4 bone_meal -> 2 gold nugget
                # 1 gold nugget -> 4 poppy
                # 1 gold nugget -> 4 dandelion
                # 1 gold nugget -> 4 allium
                # 1 dirt -> 4 gold nugget
                execute as @e[type=villager,nbt={VillagerData:{profession:"minecraft:farmer", level:3, type:"minecraft:plains"}},tag=!smithed.strict] run data merge entity @s {PersistenceRequired:1,Offers:{Recipes:[{buy:{id:gold_nugget,Count:4},sell:{id:hay_block,Count:1},maxUses:5},{buy:{id:wheat_seeds,Count:8},sell:{id:gold_nugget,Count:2},maxUses:5},{buy:{id:gold_nugget,Count:1},sell:{id:carrot,Count:4},maxUses:5},{buy:{id:gold_nugget,Count:2},sell:{id:string,Count:6},maxUses:5},{buy:{id:gold_nugget,Count:4},sell:{id:white_tulip,Count:2},maxUses:5},{buy:{id:gold_nugget,Count:1},sell:{id:sweet_berries,Count:8},maxUses:5},{buy:{id:bone_meal,Count:4},sell:{id:gold_nugget,Count:2},maxUses:5}]}}
            #   EXPERTS
                #if farmer is from plains and expert, adds persistence + trade, max. 5:
                # 3 gold nugget -> 1 hay_block
                # 8 wheat_seeds -> 1 gold nugget
                # 1 gold nugget -> 4 carrots
                # 2 gold nugget -> 6 string
                # 2 gold nugget -> 4 white_tulip
                # 4 bone_meal -> 2 gold nugget
                # 1 gold nugget -> 4 poppy
                # 1 gold nugget -> 4 dandelion
                # 1 gold nugget -> 4 allium
                # 1 dirt -> 4 gold nugget
                # 1 gold nugget -> 4 azure bluet
                # 1 gold nugget -> 4 brown mushroom
                # 1 gold nugget -> 2 red mushroom
                # 1 iron_hoe -> 8 gold nugget
                # 2 gold_nugget -> 4 pink_tulip
                execute as @e[type=villager,nbt={VillagerData:{profession:"minecraft:farmer", level:4, type:"minecraft:plains"}},tag=!smithed.strict] run data merge entity @s {PersistenceRequired:1,Offers:{Recipes:[{buy:{id:gold_nugget,Count:4},sell:{id:hay_block,Count:1},maxUses:5},{buy:{id:wheat_seeds,Count:8},sell:{id:gold_nugget,Count:2},maxUses:5},{buy:{id:gold_nugget,Count:1},sell:{id:carrot,Count:4},maxUses:5},{buy:{id:gold_nugget,Count:2},sell:{id:string,Count:6},maxUses:5},{buy:{id:gold_nugget,Count:4},sell:{id:pink_tulip,Count:2},maxUses:5},{buy:{id:gold_nugget,Count:1},sell:{id:sweet_berries,Count:8},maxUses:5},{buy:{id:bone_meal,Count:4},sell:{id:gold_nugget,Count:2},maxUses:5},{buy:{id:gold_nugget,Count:1},sell:{id:dandelion,Count:1},maxUses:5},{buy:{id:gold_nugget,Count:1},sell:{id:poppy,Count:4},maxUses:5},{buy:{id:dirt,Count:1},sell:{id:gold_nugget,Count:4},maxUses:5},{buy:{id:gold_nugget,Count:1},sell:{id:allium,Count:1},maxUses:5},{buy:{id:gold_nugget,Count:1},sell:{id:azure_bluet,Count:4},maxUses:5},{buy:{id:gold_nugget,Count:1},sell:{id:brown_mushroom,Count:4},maxUses:5},{buy:{id:gold_nugget,Count:1},sell:{id:red_mushroom,Count:2},maxUses:5},{buy:{id:iron_hoe,Count:1},sell:{id:gold_nugget,Count:8},maxUses:5},{buy:{id:gold_nugget,Count:4},sell:{id:white_tulip,Count:2},maxUses:5}]}}
            #   MASTERS
                #if farmer is from plains and master, adds persistence + trade, max. 5:
                # 3 gold nugget -> 1 hay_block
                # 8 wheat_seeds -> 1 gold nugget
                # 1 gold nugget -> 4 carrots
                # 2 gold nugget -> 6 string
                # 2 gold nugget -> 4 white tulip
                # 4 bone_meal -> 2 gold nugget
                # 1 gold nugget -> 4 poppy
                # 1 gold nugget -> 4 dandelion
                # 1 gold nugget -> 4 allium
                # 1 dirt -> 4 gold nugget
                # 1 gold nugget -> 4 azure bluet
                # 1 gold nugget -> 4 brown mushroom
                # 1 gold nugget -> 2 red mushroom
                # 1 iron_hoe -> 8 gold nugget
                # 2 gold nugget -> 4 pink_tulip
                # 2 gold nugget -> 4 orange_tulip
                # 2 gold nugget -> 4 oxeye_daisy
                # 4 pumpkin_seeds -> 2 gold nugget
                # 4 gold_nugget -> 1 oak sapling
                execute as @e[type=villager,nbt={VillagerData:{profession:"minecraft:farmer", level:5, type:"minecraft:plains"}},tag=!smithed.strict] run data merge entity @s {PersistenceRequired:1,Offers:{Recipes:[{buy:{id:gold_nugget,Count:4},sell:{id:hay_block,Count:1},maxUses:5},{buy:{id:wheat_seeds,Count:8},sell:{id:gold_nugget,Count:2},maxUses:5},{buy:{id:gold_nugget,Count:1},sell:{id:carrot,Count:4},maxUses:5},{buy:{id:gold_nugget,Count:2},sell:{id:string,Count:6},maxUses:5},{buy:{id:gold_nugget,Count:4},sell:{id:white_tulip,Count:2},maxUses:5},{buy:{id:gold_nugget,Count:1},sell:{id:sweet_berries,Count:8},maxUses:5},{buy:{id:bone_meal,Count:4},sell:{id:gold_nugget,Count:2},maxUses:5},{buy:{id:gold_nugget,Count:1},sell:{id:dandelion,Count:1},maxUses:5},{buy:{id:gold_nugget,Count:1},sell:{id:poppy,Count:4},maxUses:5},{buy:{id:dirt,Count:1},sell:{id:gold_nugget,Count:4},maxUses:5},{buy:{id:gold_nugget,Count:1},sell:{id:allium,Count:1},maxUses:5},{buy:{id:gold_nugget,Count:1},sell:{id:azure_bluet,Count:4},maxUses:5},{buy:{id:gold_nugget,Count:1},sell:{id:brown_mushroom,Count:4},maxUses:5},{buy:{id:gold_nugget,Count:1},sell:{id:red_mushroom,Count:2},maxUses:5},{buy:{id:iron_hoe,Count:1},sell:{id:gold_nugget,Count:8},maxUses:5},{buy:{id:gold_nugget,Count:4},sell:{id:pink_tulip,Count:2},maxUses:5},{buy:{id:gold_nugget,Count:4},sell:{id:orange_tulip,Count:2},maxUses:5},{buy:{id:gold_nugget,Count:4},sell:{id:oxeye_daisy,Count:2},maxUses:5},{buy:{id:pumpkin_seeds,Count:4},sell:{id:gold_nugget,Count:2},maxUses:5},{buy:{id:gold_nugget,Count:4},sell:{id:oak_sapling,Count:1},maxUses:5}]}}
        #   DESERT
            #   NOVICES
                #if farmer is from desert and novice, adds persistence + trade, max. 5:
                # 3 gold nugget -> 2 hay_block
                # 8 wheat_seeds -> 1 gold nugget
                # 1 gold nugget -> 4 sugarcane
                # 2 gold nugget -> 6 string
                execute as @e[type=villager,nbt={VillagerData:{profession:"minecraft:farmer", level:1, type:"minecraft:desert"}},tag=!smithed.strict] run data merge entity @s {PersistenceRequired:1,Offers:{Recipes:[{buy:{id:gold_nugget,Count:4},sell:{id:hay_block,Count:2},maxUses:5},{buy:{id:wheat_seeds,Count:8},sell:{id:gold_nugget,Count:2},maxUses:5},{buy:{id:gold_nugget,Count:1},sell:{id:sugar_cane,Count:4},maxUses:5},{buy:{id:gold_nugget,Count:2},sell:{id:string,Count:6},maxUses:5}]}}
            #   APPRENTICES
                #if farmer is from desert and apprentice, adds persistence + trade, max. 5:
                # 3 gold nugget -> 1 hay_block
                # 8 wheat_seeds -> 1 gold nugget
                # 1 gold nugget -> 4 sugarcane
                # 2 gold nugget -> 6 string
                # 1 gold nugget + bottle -> 1 waterbottle
                # 4 bone_meal -> 2 gold nugget
                # 2 gold_nugget -> 4 blue orchid
                execute as @e[type=villager,nbt={VillagerData:{profession:"minecraft:farmer", level:2, type:"minecraft:desert"}},tag=!smithed.strict] run data merge entity @s {PersistenceRequired:1,Offers:{Recipes:[{buy:{id:gold_nugget,Count:4},sell:{id:hay_block,Count:2},maxUses:5},{buy:{id:gold_nugget,Count:1},sell:{id:sugar_cane,Count:4},maxUses:5},{buy:{id:wheat_seeds,Count:8},sell:{id:gold_nugget,Count:2},maxUses:5},{buy:{id:gold_nugget,Count:2},sell:{id:string,Count:6},maxUses:5},{buy:{id:gold_nugget,Count:1},buyB:{id:glass_bottle,Count:1},sell:{id:potion,Count:1,tag:{Potion:"minecraft:water"}},maxUses:5},{buy:{id:bone_meal,Count:4},sell:{id:gold_nugget,Count:2},maxUses:5},{buy:{id:gold_nugget,Count:1},sell:{id:blue_orchid,Count:4},maxUses:5}]}}
            #   JOURNEYMEN
                #if farmer is from desert and journeyman, adds persistence + trade, max. 5:
                # 3 gold nugget -> 1 hay_block
                # 8 wheat_seeds -> 1 gold nugget
                # 1 gold nugget -> 4 sugarcane
                # 2 gold nugget -> 6 string
                # 1 gold nugget + bottle -> 1 waterbottle
                # 4 bone_meal -> 2 gold nugget
                # 2 gold_nugget -> 4 blue orchid
                # 8 melon seeds -> 2 gold nugget
                # 1 sand -> 4 gold nugget
                # 2 gold nugget -> 1 melon
                # 1 gold nugget -> 4 cactus
                execute as @e[type=villager,nbt={VillagerData:{profession:"minecraft:farmer", level:3, type:"minecraft:desert"}},tag=!smithed.strict] run data merge entity @s {PersistenceRequired:1,Offers:{Recipes:[{buy:{id:gold_nugget,Count:4},sell:{id:hay_block,Count:2},maxUses:5},{buy:{id:gold_nugget,Count:1},sell:{id:sugar_cane,Count:4},maxUses:5},{buy:{id:wheat_seeds,Count:8},sell:{id:gold_nugget,Count:2},maxUses:5},{buy:{id:gold_nugget,Count:2},sell:{id:string,Count:6},maxUses:5},{buy:{id:gold_nugget,Count:1},buyB:{id:glass_bottle,Count:1},sell:{id:potion,Count:1,tag:{Potion:"minecraft:water"}},maxUses:5},{buy:{id:bone_meal,Count:4},sell:{id:gold_nugget,Count:2},maxUses:5},{buy:{id:gold_nugget,Count:1},sell:{id:blue_orchid,Count:4},maxUses:5},{buy:{id:melon_seeds,Count:8},sell:{id:gold_nugget,Count:2},maxUses:5},{buy:{id:sand,Count:1},sell:{id:gold_nugget,Count:4},maxUses:5},{buy:{id:gold_nugget,Count:2},sell:{id:melon,Count:4},maxUses:5},{buy:{id:gold_nugget,Count:1},sell:{id:cactus,Count:4},maxUses:5}]}}
            #   EXPERTS
                # 3 gold nugget -> 1 hay_block
                # 8 wheat_seeds -> 1 gold nugget
                # 1 gold nugget -> 4 sugarcane
                # 2 gold nugget -> 6 string
                # 1 gold nugget + bottle -> 1 waterbottle
                # 4 bone_meal -> 2 gold nugget
                # 2 gold_nugget -> 4 blue orchid
                # 8 melon seeds -> 2 gold nugget
                # 1 sand -> 4 gold nugget
                # 2 gold nugget -> 1 melon
                # 1 gold nugget -> 4 cactus
                # 1 dirt -> 8 gold nugget
                # 1 gold nugget + bucket -> 1 water bucket
                # 1 gold nugget -> 4 allium
                # 1 iron hoe -> 8 gold nugget
                # 2 gold nugget -> 4 poppy
                execute as @e[type=villager,nbt={VillagerData:{profession:"minecraft:farmer", level:4, type:"minecraft:desert"}},tag=!smithed.strict] run data merge entity @s {PersistenceRequired:1,Offers:{Recipes:[{buy:{id:gold_nugget,Count:4},sell:{id:hay_block,Count:2},maxUses:5},{buy:{id:gold_nugget,Count:1},sell:{id:sugar_cane,Count:4},maxUses:5},{buy:{id:wheat_seeds,Count:8},sell:{id:gold_nugget,Count:2},maxUses:5},{buy:{id:gold_nugget,Count:2},sell:{id:string,Count:6},maxUses:5},{buy:{id:gold_nugget,Count:1},buyB:{id:glass_bottle,Count:1},sell:{id:potion,Count:1,tag:{Potion:"minecraft:water"}},maxUses:5},{buy:{id:bone_meal,Count:4},sell:{id:gold_nugget,Count:2},maxUses:5},{buy:{id:gold_nugget,Count:1},sell:{id:blue_orchid,Count:4},maxUses:5},{buy:{id:melon_seeds,Count:8},sell:{id:gold_nugget,Count:2},maxUses:5},{buy:{id:sand,Count:1},sell:{id:gold_nugget,Count:4},maxUses:5},{buy:{id:gold_nugget,Count:2},sell:{id:melon,Count:4},maxUses:5},{buy:{id:gold_nugget,Count:1},sell:{id:cactus,Count:4},maxUses:5},{buy:{id:dirt,Count:1},sell:{id:gold_nugget,Count:8},maxUses:5},{buy:{id:gold_nugget,Count:1},buyB:{id:bucket,Count:1},sell:{id:water_bucket,Count:1},maxUses:5}]}}
            #   MASTERS
                #if farmer is from desert and master, adds persistence + trade, max. 5:
                # 3 gold nugget -> 1 hay_block
                # 8 wheat_seeds -> 1 gold nugget
                # 1 gold nugget -> 4 sugarcane
                # 2 gold nugget -> 6 string
                # 1 gold nugget + bottle -> 1 waterbottle
                # 4 bone_meal -> 2 gold nugget
                # 2 gold_nugget -> 4 blue orchid
                # 8 melon seeds -> 2 gold nugget
                # 1 sand -> 4 gold nugget
                # 2 gold nugget -> 1 melon
                # 1 gold nugget -> 4 cactus
                # 1 dirt -> 8 gold nugget
                # 1 gold nugget + bucket -> 1 water bucket
                # 1 gold nugget -> 4 allium
                # 1 iron hoe -> 8 gold nugget
                # 4 gold nugget -> 4 poppy
                # 1 gold nugget -> 4 sugar
                # 4 gold nugget -> 1 pumpkin
                # 4 pumpkin seeds -> 2 gold nugget
                # 1 flower pot -> 8 gold nugget
                execute as @e[type=villager,nbt={VillagerData:{profession:"minecraft:farmer", level:5, type:"minecraft:desert"}},tag=!smithed.strict] run data merge entity @s {PersistenceRequired:1,Offers:{Recipes:[{buy:{id:gold_nugget,Count:4},sell:{id:hay_block,Count:2},maxUses:5},{buy:{id:gold_nugget,Count:1},sell:{id:sugar_cane,Count:4},maxUses:5},{buy:{id:wheat_seeds,Count:8},sell:{id:gold_nugget,Count:2},maxUses:5},{buy:{id:gold_nugget,Count:2},sell:{id:string,Count:6},maxUses:5},{buy:{id:gold_nugget,Count:1},buyB:{id:glass_bottle,Count:1},sell:{id:potion,Count:1,tag:{Potion:"minecraft:water"}},maxUses:5},{buy:{id:bone_meal,Count:4},sell:{id:gold_nugget,Count:2},maxUses:5},{buy:{id:gold_nugget,Count:1},sell:{id:blue_orchid,Count:4},maxUses:5},{buy:{id:melon_seeds,Count:8},sell:{id:gold_nugget,Count:2},maxUses:5},{buy:{id:sand,Count:1},sell:{id:gold_nugget,Count:4},maxUses:5},{buy:{id:gold_nugget,Count:2},sell:{id:melon,Count:4},maxUses:5},{buy:{id:gold_nugget,Count:1},sell:{id:cactus,Count:4},maxUses:5},{buy:{id:dirt,Count:1},sell:{id:gold_nugget,Count:8},maxUses:5},{buy:{id:gold_nugget,Count:1},buyB:{id:bucket,Count:1},sell:{id:water_bucket,Count:1},maxUses:5},{buy:{id:gold_nugget,Count:1},sell:{id:allium,Count:4},maxUses:5},{buy:{id:iron_hoe,Count:1},sell:{id:gold_nugget,Count:8},maxUses:5},{buy:{id:gold_nugget,Count:2},sell:{id:poppy,Count:4},maxUses:5},{buy:{id:gold_nugget,Count:1},sell:{id:sugar,Count:4},maxUses:5},{buy:{id:gold_nugget,Count:4},sell:{id:pumpkin,Count:4},maxUses:5},{buy:{id:pumpkin_seeds,Count:4},sell:{id:gold_nugget,Count:2},maxUses:5},{buy:{id:flower_pot,Count:1},sell:{id:gold_nugget,Count:8},maxUses:5}]}}
        #   JUNGLE
            #   NOVICES
                #if farmer is from jungle and novice, adds persistence + trade, max. 5:
                # 1	gold nugget -> 4 potato
                # 1	gold nugget -> 4 sugarcane
                # 8 pumpkin seeds -> 2 gold nugget
                # 2 gold nugget -> 6 string
                execute as @e[type=villager,nbt={VillagerData:{profession:"minecraft:farmer", level:1, type:"minecraft:jungle"}},tag=!smithed.strict] run data merge entity @s {PersistenceRequired:1,Offers:{Recipes:[{buy:{id:gold_nugget,Count:1},sell:{id:potato,Count:4},maxUses:5},{buy:{id:gold_nugget,Count:1},sell:{id:sugar_cane,Count:4},maxUses:5},{buy:{id:pumpkin_seeds,Count:8},sell:{id:gold_nugget,Count:2},maxUses:5},{buy:{id:gold_nugget,Count:2},sell:{id:string,Count:6},maxUses:5}]}}
            #   APPRENTICES
                #if farmer is from jungle and apprentice, adds persistence + trade, max. 5:
                # 1	gold nugget -> 4 potato
                # 1	gold nugget -> 4 sugarcane
                # 8 pumpkin seeds -> 2 gold nugget
                # 2 gold nugget -> 6 string
                # 2 gold nugget -> 1 pumpkin
                # 4 bone meal -> 2 gold nugget
                # 2 gold nugget -> 4 dandelion
                execute as @e[type=villager,nbt={VillagerData:{profession:"minecraft:farmer", level:2, type:"minecraft:jungle"}},tag=!smithed.strict] run data merge entity @s {PersistenceRequired:1,Offers:{Recipes:[{buy:{id:gold_nugget,Count:1},sell:{id:potato,Count:4},maxUses:5},{buy:{id:gold_nugget,Count:1},sell:{id:sugar_cane,Count:4},maxUses:5},{buy:{id:pumpkin_seeds,Count:8},sell:{id:gold_nugget,Count:2},maxUses:5},{buy:{id:gold_nugget,Count:2},sell:{id:string,Count:6},maxUses:5},{buy:{id:gold_nugget,Count:2},sell:{id:pumpkin,Count:1},maxUses:5},{buy:{id:bone_meal,Count:4},sell:{id:gold_nugget,Count:2},maxUses:5},{buy:{id:gold_nugget,Count:2},sell:{id:dandelion,Count:4},maxUses:5}]}}
            #   JOURNEYMEN
                #if farmer is from jungle and apprentice, adds persistence + trade, max. 5:
                # 1	gold nugget -> 4 potato
                # 1	gold nugget -> 4 sugarcane
                # 8 pumpkin seeds -> 2 gold nugget
                # 2 gold nugget -> 6 string
                # 2 gold nugget -> 1 pumpkin
                # 4 bone meal -> 2 gold nugget
                # 2 gold nugget -> 4 dandelion
                # 8 melon seeds -> 2 gold nugget
                # 1 dirt -> 4 gold nugget
                # 2 gold nugget -> 1 melon
                # 2 gold nugget -> 4 cocoa beans
                execute as @e[type=villager,nbt={VillagerData:{profession:"minecraft:farmer", level:3, type:"minecraft:jungle"}},tag=!smithed.strict] run data merge entity @s {PersistenceRequired:1,Offers:{Recipes:[{buy:{id:gold_nugget,Count:1},sell:{id:potato,Count:4},maxUses:5},{buy:{id:gold_nugget,Count:1},sell:{id:sugar_cane,Count:4},maxUses:5},{buy:{id:pumpkin_seeds,Count:8},sell:{id:gold_nugget,Count:2},maxUses:5},{buy:{id:gold_nugget,Count:2},sell:{id:string,Count:6},maxUses:5},{buy:{id:gold_nugget,Count:2},sell:{id:pumpkin,Count:1},maxUses:5},{buy:{id:bone_meal,Count:4},sell:{id:gold_nugget,Count:2},maxUses:5},{buy:{id:gold_nugget,Count:2},sell:{id:dandelion,Count:4},maxUses:5},{buy:{id:melon_seeds,Count:8},sell:{id:gold_nugget,Count:2},maxUses:5},{buy:{id:dirt,Count:1},sell:{id:gold_nugget,Count:4},maxUses:5},{buy:{id:gold_nugget,Count:1},sell:{id:melon,Count:1},maxUses:5},{buy:{id:gold_nugget,Count:2},sell:{id:cocoa_beans,Count:4},maxUses:5}]}}
            #   EXPERTS
                #if farmer is from jungle and expert, adds persistence + trade, max. 5:
                # 1	gold nugget -> 4 potato
                # 1	gold nugget -> 4 sugarcane
                # 8 pumpkin seeds -> 2 gold nugget
                # 2 gold nugget -> 6 string
                # 2 gold nugget -> 1 pumpkin
                # 4 bone meal -> 2 gold nugget
                # 2 gold nugget -> 4 dandelion
                # 8 melon seeds -> 2 gold nugget
                # 1 dirt -> 4 gold nugget
                # 2 gold nugget -> 1 melon
                # 2 gold nugget -> 4 cocoa beans
                # 1 iron hoe -> 8 gold nugget
                # 2 gold nugget -> 4 poppy
                # 1 gold nugget -> 4 sugar
                # 1 gold nugget -> 4 brown mushroom
                # 1 gold nugget -> 2 red mushroom
                execute as @e[type=villager,nbt={VillagerData:{profession:"minecraft:farmer", level:4, type:"minecraft:jungle"}},tag=!smithed.strict] run data merge entity @s {PersistenceRequired:1,Offers:{Recipes:[{buy:{id:gold_nugget,Count:1},sell:{id:potato,Count:4},maxUses:5},{buy:{id:gold_nugget,Count:1},sell:{id:sugar_cane,Count:4},maxUses:5},{buy:{id:pumpkin_seeds,Count:8},sell:{id:gold_nugget,Count:2},maxUses:5},{buy:{id:gold_nugget,Count:2},sell:{id:string,Count:6},maxUses:5},{buy:{id:gold_nugget,Count:2},sell:{id:pumpkin,Count:1},maxUses:5},{buy:{id:bone_meal,Count:4},sell:{id:gold_nugget,Count:2},maxUses:5},{buy:{id:gold_nugget,Count:2},sell:{id:dandelion,Count:4},maxUses:5},{buy:{id:melon_seeds,Count:8},sell:{id:gold_nugget,Count:2},maxUses:5},{buy:{id:dirt,Count:1},sell:{id:gold_nugget,Count:4},maxUses:5},{buy:{id:gold_nugget,Count:1},sell:{id:melon,Count:1},maxUses:5},{buy:{id:gold_nugget,Count:2},sell:{id:cocoa_beans,Count:4},maxUses:5},{buy:{id:iron_hoe,Count:1},sell:{id:gold_nugget,Count:8},maxUses:5},{buy:{id:gold_nugget,Count:2},sell:{id:poppy,Count:4},maxUses:5},{buy:{id:gold_nugget,Count:2},sell:{id:sugar,Count:4},maxUses:5},{buy:{id:gold_nugget,Count:1},sell:{id:brown_mushroom,Count:4},maxUses:5},{buy:{id:gold_nugget,Count:1},sell:{id:red_mushroom,Count:1},maxUses:5}]}}
            #   MASTERS
                #if farmer is from jungle and master, adds persistence + trade, max. 5:
                # 1	gold nugget -> 4 potato
                # 1	gold nugget -> 4 sugarcane
                # 8 pumpkin seeds -> 2 gold nugget
                # 2 gold nugget -> 6 string
                # 2 gold nugget -> 1 pumpkin
                # 4 bone meal -> 2 gold nugget
                # 2 gold nugget -> 4 dandelion
                # 8 melon seeds -> 2 gold nugget
                # 1 dirt -> 4 gold nugget
                # 2 gold nugget -> 1 melon
                # 2 gold nugget -> 4 cocoa beans
                # 1 iron hoe -> 8 gold nugget
                # 2 gold nugget -> 4 poppy
                # 1 gold nugget -> 4 sugar
                # 1 gold nugget -> 4 brown mushroom
                # 1 gold nugget -> 2 red mushroom
                # 2 gold nugget -> 4 bamboo
                # 8 wheat seeds -> 4 gold nugget
                # 4 gold nugget -> 2 hay block
                # 4 gold nugget -> 1 jungle sapling
                execute as @e[type=villager,nbt={VillagerData:{profession:"minecraft:farmer", level:5, type:"minecraft:jungle"}},tag=!smithed.strict] run data merge entity @s {PersistenceRequired:1,Offers:{Recipes:[{buy:{id:gold_nugget,Count:1},sell:{id:potato,Count:4},maxUses:5},{buy:{id:gold_nugget,Count:1},sell:{id:sugar_cane,Count:4},maxUses:5},{buy:{id:pumpkin_seeds,Count:8},sell:{id:gold_nugget,Count:2},maxUses:5},{buy:{id:gold_nugget,Count:2},sell:{id:string,Count:6},maxUses:5},{buy:{id:gold_nugget,Count:2},sell:{id:pumpkin,Count:1},maxUses:5},{buy:{id:bone_meal,Count:4},sell:{id:gold_nugget,Count:2},maxUses:5},{buy:{id:gold_nugget,Count:2},sell:{id:dandelion,Count:4},maxUses:5},{buy:{id:melon_seeds,Count:8},sell:{id:gold_nugget,Count:2},maxUses:5},{buy:{id:dirt,Count:1},sell:{id:gold_nugget,Count:4},maxUses:5},{buy:{id:gold_nugget,Count:1},sell:{id:melon,Count:1},maxUses:5},{buy:{id:gold_nugget,Count:2},sell:{id:cocoa_beans,Count:4},maxUses:5},{buy:{id:iron_hoe,Count:1},sell:{id:gold_nugget,Count:8},maxUses:5},{buy:{id:gold_nugget,Count:2},sell:{id:poppy,Count:4},maxUses:5},{buy:{id:gold_nugget,Count:2},sell:{id:sugar,Count:4},maxUses:5},{buy:{id:gold_nugget,Count:1},sell:{id:brown_mushroom,Count:4},maxUses:5},{buy:{id:gold_nugget,Count:1},sell:{id:red_mushroom,Count:1},maxUses:5},{buy:{id:gold_nugget,Count:2},sell:{id:bamboo,Count:4},maxUses:5},{buy:{id:wheat_seeds,Count:8},sell:{id:gold_nugget,Count:4},maxUses:5},{buy:{id:gold_nugget,Count:4},sell:{id:hay_block,Count:2},maxUses:5},{buy:{id:gold_nugget,Count:4},sell:{id:jungle_sapling,Count:1},maxUses:5}]}}
        #   SAVANNA
            #   NOVICES
                #if farmer is from savanna and novice, adds persistence + trade, max. 5:
                # 1	gold nugget -> 4 potato
                # 1	gold nugget -> 4 sugarcane
                # 8 pumpkin seeds -> 2 gold nugget
                # 2 gold nugget -> 6 string
                execute as @e[type=villager,nbt={VillagerData:{profession:"minecraft:farmer", level:1, type:"minecraft:savanna"}},tag=!smithed.strict] run data merge entity @s {PersistenceRequired:1,Offers:{Recipes:[{buy:{id:gold_nugget,Count:1},sell:{id:potato,Count:4},maxUses:5},{buy:{id:gold_nugget,Count:1},sell:{id:sugar_cane,Count:4},maxUses:5},{buy:{id:pumpkin_seeds,Count:8},sell:{id:gold_nugget,Count:2},maxUses:5},{buy:{id:gold_nugget,Count:2},sell:{id:string,Count:6},maxUses:5}]}}
            #   APPRENTICES
                #if farmer is from savanna and apprentice, adds persistence + trade, max. 5:
                # 1	gold nugget -> 4 potato
                # 1	gold nugget -> 4 sugarcane
                # 8 pumpkin seeds -> 2 gold nugget
                # 2 gold nugget -> 6 string
                # 1 gold nugget -> 1 pumpkin
                # 4 bone meal -> 2 gold nugget
                # 2 gold nugget -> 4 dandelion
                execute as @e[type=villager,nbt={VillagerData:{profession:"minecraft:farmer", level:2, type:"minecraft:savanna"}},tag=!smithed.strict] run data merge entity @s {PersistenceRequired:1,Offers:{Recipes:[{buy:{id:gold_nugget,Count:1},sell:{id:potato,Count:4},maxUses:5},{buy:{id:gold_nugget,Count:1},sell:{id:sugar_cane,Count:4},maxUses:5},{buy:{id:pumpkin_seeds,Count:8},sell:{id:gold_nugget,Count:2},maxUses:5},{buy:{id:gold_nugget,Count:2},sell:{id:string,Count:6},maxUses:5},{buy:{id:gold_nugget,Count:1},sell:{id:pumpkin,Count:1},maxUses:5},{buy:{id:pumpkin_seeds,Count:8},sell:{id:gold_nugget,Count:2},maxUses:5},{buy:{id:bone_meal,Count:4},sell:{id:gold_nugget,Count:2},maxUses:5},{buy:{id:gold_nugget,Count:2},sell:{id:dandelion,Count:4},maxUses:5}]}}
            #   JOURNEYMEN
                #if farmer is from savanna and journeyman, adds persistence + trade, max. 5:
                # 1	gold nugget -> 4 potato
                # 1	gold nugget -> 4 sugarcane
                # 8 pumpkin seeds -> 2 gold nugget
                # 2 gold nugget -> 6 string
                # 1 gold nugget -> 1 pumpkin
                # 4 bone meal -> 2 gold nugget
                # 2 gold nugget -> 4 dandelion
                # 8 wheat seeds -> 4 gold nugget
                # 4 gold nugget -> 2 hay block
                # 1 gold nugget -> 4 cornflower
                execute as @e[type=villager,nbt={VillagerData:{profession:"minecraft:farmer", level:3, type:"minecraft:savanna"}},tag=!smithed.strict] run data merge entity @s {PersistenceRequired:1,Offers:{Recipes:[{buy:{id:gold_nugget,Count:1},sell:{id:potato,Count:4},maxUses:5},{buy:{id:gold_nugget,Count:1},sell:{id:sugar_cane,Count:4},maxUses:5},{buy:{id:pumpkin_seeds,Count:8},sell:{id:gold_nugget,Count:2},maxUses:5},{buy:{id:gold_nugget,Count:2},sell:{id:string,Count:6},maxUses:5},{buy:{id:gold_nugget,Count:1},sell:{id:pumpkin,Count:1},maxUses:5},{buy:{id:pumpkin_seeds,Count:8},sell:{id:gold_nugget,Count:2},maxUses:5},{buy:{id:bone_meal,Count:4},sell:{id:gold_nugget,Count:2},maxUses:5},{buy:{id:gold_nugget,Count:2},sell:{id:dandelion,Count:4},maxUses:5},{buy:{id:wheat_seeds,Count:8},sell:{id:gold_nugget,Count:4},maxUses:5}, {buy:{id:gold_nugget,Count:4},sell:{id:hay_block,Count:2},maxUses:5},{buy:{id:gold_nugget,Count:1},sell:{id:cornflower,Count:4},maxUses:5}]}}
            #   EXPERTS
                #if farmer is from savanna and expert, adds persistence + trade, max. 5:
                # 1	gold nugget -> 4 potato
                # 1	gold nugget -> 4 sugarcane
                # 8 pumpkin seeds -> 2 gold nugget
                # 2 gold nugget -> 6 string
                # 1 gold nugget -> 1 pumpkin
                # 4 bone meal -> 2 gold nugget
                # 2 gold nugget -> 4 dandelion
                # 8 wheat seeds -> 4 gold nugget
                # 4 gold nugget -> 2 hay block
                # 1 gold nugget -> 4 cornflower
                # 2 gold nugget -> 4 lily-of-the-valley
                # 1  dirt -> 4 gold nugget
                # 1 gold nugget + 1 bottle ->  1 water bottle
                # 2 gold nugget -> 4 oxeye daisy
                # 2 gold nugget -> 4 poppy
                execute as @e[type=villager,nbt={VillagerData:{profession:"minecraft:farmer", level:4, type:"minecraft:savanna"}},tag=!smithed.strict] run data merge entity @s {PersistenceRequired:1,Offers:{Recipes:[{buy:{id:gold_nugget,Count:1},sell:{id:potato,Count:4},maxUses:5},{buy:{id:gold_nugget,Count:1},sell:{id:sugar_cane,Count:4},maxUses:5},{buy:{id:pumpkin_seeds,Count:8},sell:{id:gold_nugget,Count:2},maxUses:5},{buy:{id:gold_nugget,Count:2},sell:{id:string,Count:6},maxUses:5},{buy:{id:gold_nugget,Count:1},sell:{id:pumpkin,Count:1},maxUses:5},{buy:{id:pumpkin_seeds,Count:8},sell:{id:gold_nugget,Count:2},maxUses:5},{buy:{id:bone_meal,Count:4},sell:{id:gold_nugget,Count:2},maxUses:5},{buy:{id:gold_nugget,Count:2},sell:{id:dandelion,Count:4},maxUses:5},{buy:{id:wheat_seeds,Count:8},sell:{id:gold_nugget,Count:4},maxUses:5}, {buy:{id:gold_nugget,Count:4},sell:{id:hay_block,Count:2},maxUses:5},{buy:{id:gold_nugget,Count:1},sell:{id:cornflower,Count:4},maxUses:5},{buy:{id:gold_nugget,Count:2},sell:{id:lily_of_the_valley,Count:4},maxUses:5},{buy:{id:dirt,Count:1},sell:{id:gold_nugget,Count:4},maxUses:5},{buy:{id:gold_nugget,Count:1},buyB:{id:glass_bottle, Count:1},sell:{id:potion,Count:1,tag:{Potion:"minecraft:water"}},maxUses:5},{buy:{id:gold_nugget,Count:2},sell:{id:oxeye_daisy,Count:4},maxUses:5},{buy:{id:gold_nugget,Count:2},sell:{id:poppy,Count:4},maxUses:5}]}}
            #   MASTERS
                #if farmer is from savanna and master, adds persistence + trade, max. 5:
                # 1	gold nugget -> 4 potato
                # 1	gold nugget -> 4 sugarcane
                # 8 pumpkin seeds -> 2 gold nugget
                # 2 gold nugget -> 6 string
                # 1 gold nugget -> 1 pumpkin
                # 4 bone meal -> 2 gold nugget
                # 2 gold nugget -> 4 dandelion
                # 8 wheat seeds -> 4 gold nugget
                # 4 gold nugget -> 2 hay block
                # 1 gold nugget -> 4 cornflower
                # 2 gold nugget -> 4 lily-of-the-valley
                # 1  dirt -> 4 gold nugget
                # 1 gold nugget + 1 bottle ->  1 water bottle
                # 2 gold nugget -> 4 oxeye daisy
                # 2 gold nugget -> 4 poppy
                # 1 gold nugget + 1 bucket -> 1 water bucket
                # 1 sand -> 4 gold nugget
                # 1 iron hoe -> 8 gold nugget
                # 2 gold nugget -> 1 acacia sapling
                execute as @e[type=villager,nbt={VillagerData:{profession:"minecraft:farmer", level:5, type:"minecraft:savanna"}},tag=!smithed.strict] run data merge entity @s {PersistenceRequired:1,Offers:{Recipes:[{buy:{id:gold_nugget,Count:1},sell:{id:potato,Count:4},maxUses:5},{buy:{id:gold_nugget,Count:1},sell:{id:sugar_cane,Count:4},maxUses:5},{buy:{id:pumpkin_seeds,Count:8},sell:{id:gold_nugget,Count:2},maxUses:5},{buy:{id:gold_nugget,Count:2},sell:{id:string,Count:6},maxUses:5},{buy:{id:gold_nugget,Count:1},sell:{id:pumpkin,Count:1},maxUses:5},{buy:{id:pumpkin_seeds,Count:8},sell:{id:gold_nugget,Count:2},maxUses:5},{buy:{id:bone_meal,Count:4},sell:{id:gold_nugget,Count:2},maxUses:5},{buy:{id:gold_nugget,Count:2},sell:{id:dandelion,Count:4},maxUses:5},{buy:{id:wheat_seeds,Count:8},sell:{id:gold_nugget,Count:4},maxUses:5}, {buy:{id:gold_nugget,Count:4},sell:{id:hay_block,Count:2},maxUses:5},{buy:{id:gold_nugget,Count:1},sell:{id:cornflower,Count:4},maxUses:5},{buy:{id:gold_nugget,Count:2},sell:{id:lily_of_the_valley,Count:4},maxUses:5},{buy:{id:dirt,Count:1},sell:{id:gold_nugget,Count:4},maxUses:5},{buy:{id:gold_nugget,Count:1},buyB:{id:glass_bottle, Count:1},sell:{id:potion,Count:1,tag:{Potion:"minecraft:water"}},maxUses:5},{buy:{id:gold_nugget,Count:2},sell:{id:oxeye_daisy,Count:4},maxUses:5},{buy:{id:gold_nugget,Count:2},sell:{id:poppy,Count:4},maxUses:5},{buy:{id:gold_nugget,Count:1},buyB:{id:bucket, Count:1},sell:{id:water_bucket,Count:1},maxUses:5},{buy:{id:sand,Count:1},sell:{id:gold_nugget,Count:4},maxUses:5},{buy:{id:iron_hoe,Count:1},sell:{id:gold_nugget,Count:8},maxUses:5},{buy:{id:gold_nugget,Count:2},sell:{id:acacia_sapling,Count:4},maxUses:5}]}}
        #   SNOW
            #   NOVICES
                #if farmer is from snow and novice, adds persistence + trade, max. 5:
                # 2 gold nugget -> 8 beetroot
                # 1	gold nugget -> 4 carrot
                # 8 beetroot seeds -> 4 gold nugget
                # 2 gold nugget -> 6 string
                execute as @e[type=villager,nbt={VillagerData:{profession:"minecraft:farmer", level:1, type:"minecraft:snow"}},tag=!smithed.strict] run data merge entity @s {PersistenceRequired:1,Offers:{Recipes:[{buy:{id:gold_nugget,Count:2},sell:{id:beetroot,Count:8},maxUses:5},{buy:{id:gold_nugget,Count:1},sell:{id:carrot,Count:4},maxUses:5},{buy:{id:beetroot_seeds,Count:8},sell:{id:gold_nugget,Count:4},maxUses:5},{buy:{id:gold_nugget,Count:2},sell:{id:string,Count:6},maxUses:5}]}}
            #   APPRENTICES
                #if farmer is from snow and apprentice, adds persistence + trade, max. 5:
                # 2 gold nugget -> 8 beetroot
                # 1	gold nugget -> 4 carrot
                # 8 beetroot seeds -> 4 gold nugget
                # 2 gold nugget -> 6 string
                # 4 gold nugget -> 2 bone meal
                # 1 gold nugget -> 8 sweetberries
                # 2 gold nugget -> 4 poppy
                execute as @e[type=villager,nbt={VillagerData:{profession:"minecraft:farmer", level:2, type:"minecraft:snow"}},tag=!smithed.strict] run data merge entity @s {PersistenceRequired:1,Offers:{Recipes:[{buy:{id:gold_nugget,Count:2},sell:{id:beetroot,Count:8},maxUses:5},{buy:{id:gold_nugget,Count:1},sell:{id:carrot,Count:4},maxUses:5},{buy:{id:beetroot_seeds,Count:8},sell:{id:gold_nugget,Count:4},maxUses:5},{buy:{id:gold_nugget,Count:2},sell:{id:string,Count:6},maxUses:5},{buy:{id:gold_nugget,Count:4},sell:{id:bone_meal,Count:2},maxUses:5},{buy:{id:gold_nugget,Count:1},sell:{id:sweet_berries,Count:8},maxUses:5}]}}
            #   JOURNEYMEN
                #if farmer is from snow and journeyman, adds persistence + trade, max. 5:
                # 2 gold nugget -> 8 beetroot
                # 1	gold nugget -> 4 carrot
                # 8 beetroot seeds -> 4 gold nugget
                # 2 gold nugget -> 6 string
                # 4 gold nugget -> 2 bone meal
                # 1 gold nugget -> 8 sweetberries
                # 2 gold nugget -> 4 poppy
                # 1 gold nugget -> 4 cornflower
                # 1 gold nugget -> 4 potato
                # 2 gold nugget -> 4 azure bluet
                execute as @e[type=villager,nbt={VillagerData:{profession:"minecraft:farmer", level:3, type:"minecraft:snow"}},tag=!smithed.strict] run data merge entity @s {PersistenceRequired:1,Offers:{Recipes:[{buy:{id:gold_nugget,Count:2},sell:{id:beetroot,Count:8},maxUses:5},{buy:{id:gold_nugget,Count:1},sell:{id:carrot,Count:4},maxUses:5},{buy:{id:beetroot_seeds,Count:8},sell:{id:gold_nugget,Count:4},maxUses:5},{buy:{id:gold_nugget,Count:2},sell:{id:string,Count:6},maxUses:5},{buy:{id:gold_nugget,Count:4},sell:{id:bone_meal,Count:2},maxUses:5},{buy:{id:gold_nugget,Count:1},sell:{id:sweet_berries,Count:8},maxUses:5},{buy:{id:gold_nugget,Count:1},sell:{id:cornflower,Count:4},maxUses:5},{buy:{id:gold_nugget,Count:1},sell:{id:potato,Count:4},maxUses:5},{buy:{id:gold_nugget,Count:2},sell:{id:azure_bluet,Count:4},maxUses:5}]}}
            #   EXPERTS
                #if farmer is from snow and expert, adds persistence + trade, max. 5:
                # 2 gold nugget -> 8 beetroot
                # 1	gold nugget -> 4 carrot
                # 8 beetroot seeds -> 4 gold nugget
                # 2 gold nugget -> 6 string
                # 4 gold nugget -> 2 bone meal
                # 1 gold nugget -> 8 sweetberries
                # 2 gold nugget -> 4 poppy
                # 1 gold nugget -> 4 cornflower
                # 1 gold nugget -> 4 potato
                # 2 gold nugget -> 4 azure bluet
                # 2 gold nugget -> 4 brown mushroom
                # 2 gold nugget -> 2 red mushroom
                # 2 gold nugget -> 4 lilly-of-the-valley
                # 4 pumpkin seeds -> 8 gold nugget
                execute as @e[type=villager,nbt={VillagerData:{profession:"minecraft:farmer", level:4, type:"minecraft:snow"}},tag=!smithed.strict] run data merge entity @s {PersistenceRequired:1,Offers:{Recipes:[{buy:{id:gold_nugget,Count:2},sell:{id:beetroot,Count:8},maxUses:5},{buy:{id:gold_nugget,Count:1},sell:{id:carrot,Count:4},maxUses:5},{buy:{id:beetroot_seeds,Count:8},sell:{id:gold_nugget,Count:4},maxUses:5},{buy:{id:gold_nugget,Count:2},sell:{id:string,Count:6},maxUses:5},{buy:{id:gold_nugget,Count:4},sell:{id:bone_meal,Count:2},maxUses:5},{buy:{id:gold_nugget,Count:1},sell:{id:sweet_berries,Count:8},maxUses:5},{buy:{id:gold_nugget,Count:1},sell:{id:cornflower,Count:4},maxUses:5},{buy:{id:gold_nugget,Count:1},sell:{id:potato,Count:4},maxUses:5},{buy:{id:gold_nugget,Count:2},sell:{id:azure_bluet,Count:4},maxUses:5},{buy:{id:gold_nugget,Count:2},sell:{id:brown_mushroom,Count:4},maxUses:5},{buy:{id:gold_nugget,Count:2},sell:{id:red_mushroom,Count:2},maxUses:5},{buy:{id:gold_nugget,Count:2},sell:{id:lily_of_the_valley,Count:8},maxUses:5},{buy:{id:pumpkin_seeds,Count:4},sell:{id:gold_nugget,Count:8},maxUses:5}]}}
            #   MASTERS
                #if farmer is from snow and expert, adds persistence + trade, max. 5:
                # 2 gold nugget -> 8 beetroot
                # 1	gold nugget -> 4 carrot
                # 8 beetroot seeds -> 4 gold nugget
                # 2 gold nugget -> 6 string
                # 4 gold nugget -> 2 bone meal
                # 1 gold nugget -> 8 sweetberries
                # 2 gold nugget -> 4 poppy
                # 1 gold nugget -> 4 cornflower
                # 1 gold nugget -> 4 potato
                # 2 gold nugget -> 4 azure bluet
                # 2 gold nugget -> 4 brown mushroom
                # 2 gold nugget -> 2 red mushroom
                # 2 gold nugget -> 4 lilly-of-the-valley
                # 4 pumpkin seeds -> 8 gold nugget
                # 4 gold nugget -> 1 pumpkin
                # 1 iron hoe -> 8 gold nugget
                # 1 flower pot -> 8 gold nugget
                # 4 gold nugget -> 1 spruce sapling
                execute as @e[type=villager,nbt={VillagerData:{profession:"minecraft:farmer", level:5, type:"minecraft:snow"}},tag=!smithed.strict] run data merge entity @s {PersistenceRequired:1,Offers:{Recipes:[{buy:{id:gold_nugget,Count:2},sell:{id:beetroot,Count:8},maxUses:5},{buy:{id:gold_nugget,Count:1},sell:{id:carrot,Count:4},maxUses:5},{buy:{id:beetroot_seeds,Count:8},sell:{id:gold_nugget,Count:4},maxUses:5},{buy:{id:gold_nugget,Count:2},sell:{id:string,Count:6},maxUses:5},{buy:{id:gold_nugget,Count:4},sell:{id:bone_meal,Count:2},maxUses:5},{buy:{id:gold_nugget,Count:1},sell:{id:sweet_berries,Count:8},maxUses:5},{buy:{id:gold_nugget,Count:1},sell:{id:cornflower,Count:4},maxUses:5},{buy:{id:gold_nugget,Count:1},sell:{id:potato,Count:4},maxUses:5},{buy:{id:gold_nugget,Count:2},sell:{id:azure_bluet,Count:4},maxUses:5},{buy:{id:gold_nugget,Count:2},sell:{id:brown_mushroom,Count:4},maxUses:5},{buy:{id:gold_nugget,Count:2},sell:{id:red_mushroom,Count:2},maxUses:5},{buy:{id:gold_nugget,Count:2},sell:{id:lily_of_the_valley,Count:8},maxUses:5},{buy:{id:pumpkin_seeds,Count:4},sell:{id:gold_nugget,Count:8},maxUses:5},{buy:{id:gold_nugget,Count:4},sell:{id:pumpkin,Count:1},maxUses:5},{buy:{id:iron_hoe,Count:1},sell:{id:gold_nugget,Count:8},maxUses:5},{buy:{id:flower_pot,Count:4},sell:{id:gold_nugget,Count:8},maxUses:5},{buy:{id:gold_nugget,Count:4},sell:{id:spruce_sapling,Count:1},maxUses:5}]}}
        #   TAIGA
            #   NOVICES
                #if farmer is from taiga and novice, adds persistence + trade, max. 5:
                # 4 gold nugget -> 1 hay block
                # 1	gold nugget -> 4 carrot
                # 8 wheat seeds -> 4 gold nugget
                # 2 gold nugget -> 6 string
                execute as @e[type=villager,nbt={VillagerData:{profession:"minecraft:farmer", level:1, type:"minecraft:taiga"}},tag=!smithed.strict] run data merge entity @s {PersistenceRequired:1,Offers:{Recipes:[{buy:{id:gold_nugget,Count:4},sell:{id:hay_block,Count:1},maxUses:5},{buy:{id:gold_nugget,Count:1},sell:{id:carrot,Count:4},maxUses:5},{buy:{id:wheat_seeds,Count:8},sell:{id:gold_nugget,Count:4},maxUses:5},{buy:{id:gold_nugget,Count:2},sell:{id:string,Count:6},maxUses:5}]}}
            #   APPRENTICES
                #if farmer is from taiga and apprentice, adds persistence + trade, max. 5:
                # 4 gold nugget -> 1 hay block
                # 1	gold nugget -> 4 carrot
                # 8 wheat seeds -> 4 gold nugget
                # 2 gold nugget -> 6 string
                # 1 gold nugget -> 4 beetroot
                # 8 beetroot seeds -> 4 gold nugget
                # 2 gold nugget -> 4 poppy
                # 2 gold nugget -> 4 white_tulip
                execute as @e[type=villager,nbt={VillagerData:{profession:"minecraft:farmer", level:2, type:"minecraft:taiga"}},tag=!smithed.strict] run data merge entity @s {PersistenceRequired:1,Offers:{Recipes:[{buy:{id:gold_nugget,Count:4},sell:{id:hay_block,Count:1},maxUses:5},{buy:{id:gold_nugget,Count:1},sell:{id:carrot,Count:4},maxUses:5},{buy:{id:wheat_seeds,Count:8},sell:{id:gold_nugget,Count:4},maxUses:5},{buy:{id:gold_nugget,Count:2},sell:{id:string,Count:6},maxUses:5},{buy:{id:gold_nugget,Count:1},sell:{id:beetroot,Count:4},maxUses:5},{buy:{id:beetroot_seeds,Count:8},sell:{id:gold_nugget,Count:4},maxUses:5},{buy:{id:gold_nugget,Count:2},sell:{id:poppy,Count:4},maxUses:5},{buy:{id:gold_nugget,Count:2},sell:{id:white_tulip,Count:4},maxUses:5}]}}
            #   JOURNEYMEN
                #if farmer is from taiga and journeyman, adds persistence + trade, max. 5:
                # 4 gold nugget -> 1 hay block
                # 1	gold nugget -> 4 carrot
                # 8 wheat seeds -> 4 gold nugget
                # 2 gold nugget -> 6 string
                # 1 gold nugget -> 4 beetroot
                # 8 beetroot seeds -> 4 gold nugget
                # 2 gold nugget -> 4 poppy
                # 2 gold nugget -> 4 white_tulip
                # 8 pumpkin seeds -> 4 gold nugget
                # 4 bone meal -> 2 gold nugget
                # 2 gold nugget -> 4 brown mushroom
                # 4 gold nugget -> 1 pumpkin
                execute as @e[type=villager,nbt={VillagerData:{profession:"minecraft:farmer", level:3, type:"minecraft:taiga"}},tag=!smithed.strict] run data merge entity @s {PersistenceRequired:1,Offers:{Recipes:[{buy:{id:gold_nugget,Count:4},sell:{id:hay_block,Count:1},maxUses:5},{buy:{id:gold_nugget,Count:1},sell:{id:carrot,Count:4},maxUses:5},{buy:{id:wheat_seeds,Count:8},sell:{id:gold_nugget,Count:4},maxUses:5},{buy:{id:gold_nugget,Count:2},sell:{id:string,Count:6},maxUses:5},{buy:{id:gold_nugget,Count:1},sell:{id:beetroot,Count:4},maxUses:5},{buy:{id:beetroot_seeds,Count:8},sell:{id:gold_nugget,Count:4},maxUses:5},{buy:{id:gold_nugget,Count:2},sell:{id:poppy,Count:4},maxUses:5},{buy:{id:gold_nugget,Count:2},sell:{id:white_tulip,Count:4},maxUses:5},{buy:{id:pumpkin_seeds,Count:8},sell:{id:gold_nugget,Count:4},maxUses:5},{buy:{id:bone_meal,Count:4},sell:{id:gold_nugget,Count:2},maxUses:5},{buy:{id:gold_nugget,Count:2},sell:{id:brown_mushroom,Count:4},maxUses:5},{buy:{id:gold_nugget,Count:4},sell:{id:pumpkin,Count:1},maxUses:5}]}}
            #   EXPERTS
                #if farmer is from taiga and expert, adds persistence + trade, max. 5:
                # 4 gold nugget -> 1 hay block
                # 1	gold nugget -> 4 carrot
                # 8 wheat seeds -> 4 gold nugget
                # 2 gold nugget -> 6 string
                # 1 gold nugget -> 4 beetroot
                # 8 beetroot seeds -> 4 gold nugget
                # 2 gold nugget -> 4 poppy
                # 2 gold nugget -> 4 white_tulip
                # 8 pumpkin seeds -> 4 gold nugget
                # 4 bone meal -> 2 gold nugget
                # 2 gold nugget -> 4 brown mushroom
                # 4 gold nugget -> 1 pumpkin
                # 2 gold nugget -> 4 cornflower
                # 2 gold nugget -> 2 red mushroom
                # 2 gold nugget -> 4 dandelion
                # 2 gold nugget -> 4 blue orchid
                # 2 gold nugget -> 2 azure bluet
                # 2 gold nugget -> 4 pink_tulip
                execute as @e[type=villager,nbt={VillagerData:{profession:"minecraft:farmer", level:4, type:"minecraft:taiga"}},tag=!smithed.strict] run data merge entity @s {PersistenceRequired:1,Offers:{Recipes:[{buy:{id:gold_nugget,Count:4},sell:{id:hay_block,Count:1},maxUses:5},{buy:{id:gold_nugget,Count:1},sell:{id:carrot,Count:4},maxUses:5},{buy:{id:wheat_seeds,Count:8},sell:{id:gold_nugget,Count:4},maxUses:5},{buy:{id:gold_nugget,Count:2},sell:{id:string,Count:6},maxUses:5},{buy:{id:gold_nugget,Count:1},sell:{id:beetroot,Count:4},maxUses:5},{buy:{id:beetroot_seeds,Count:8},sell:{id:gold_nugget,Count:4},maxUses:5},{buy:{id:gold_nugget,Count:2},sell:{id:poppy,Count:4},maxUses:5},{buy:{id:gold_nugget,Count:2},sell:{id:white_tulip,Count:4},maxUses:5},{buy:{id:pumpkin_seeds,Count:8},sell:{id:gold_nugget,Count:4},maxUses:5},{buy:{id:bone_meal,Count:4},sell:{id:gold_nugget,Count:2},maxUses:5},{buy:{id:gold_nugget,Count:2},sell:{id:brown_mushroom,Count:4},maxUses:5},{buy:{id:gold_nugget,Count:4},sell:{id:pumpkin,Count:1},maxUses:5},{buy:{id:gold_nugget,Count:2},sell:{id:cornflower,Count:4},maxUses:5},{buy:{id:gold_nugget,Count:2},sell:{id:red_mushroom,Count:2},maxUses:5},{buy:{id:gold_nugget,Count:2},sell:{id:dandelion,Count:4},maxUses:5},{buy:{id:gold_nugget,Count:2},sell:{id:blue_orchid,Count:4},maxUses:5},{buy:{id:gold_nugget,Count:2},sell:{id:azure_bluet,Count:2},maxUses:5},{buy:{id:gold_nugget,Count:2},sell:{id:pink_tulip,Count:4},maxUses:5}]}}
            #   MASTERS
                #if farmer is from taiga and master, adds persistence + trade, max. 5:
                # 4 gold nugget -> 1 hay block
                # 1	gold nugget -> 4 carrot
                # 8 wheat seeds -> 4 gold nugget
                # 2 gold nugget -> 6 string
                # 1 gold nugget -> 4 beetroot
                # 8 beetroot seeds -> 4 gold nugget
                # 2 gold nugget -> 4 poppy
                # 2 gold nugget -> 4 white_tulip
                # 8 pumpkin seeds -> 4 gold nugget
                # 4 bone meal -> 2 gold nugget
                # 2 gold nugget -> 4 brown mushroom
                # 4 gold nugget -> 1 pumpkin
                # 2 gold nugget -> 4 cornflower
                # 2 gold nugget -> 2 red mushroom
                # 2 gold nugget -> 4 dandelion
                # 2 gold nugget -> 4 blue orchid
                # 2 gold nugget -> 2 azure bluet
                # 2 gold nugget -> 4 pink_tulip
                # 2 gold nugget -> 4 oxeye daisy
                # 1 iron hoe -> 8 gold nugget
                # 4 gold nugget -> 1 spruce sapling
                # 2 gold nugget -> 4 orange tulip
                execute as @e[type=villager,nbt={VillagerData:{profession:"minecraft:farmer", level:5, type:"minecraft:taiga"}},tag=!smithed.strict] run data merge entity @s {PersistenceRequired:1,Offers:{Recipes:[{buy:{id:gold_nugget,Count:4},sell:{id:hay_block,Count:1},maxUses:5},{buy:{id:gold_nugget,Count:1},sell:{id:carrot,Count:4},maxUses:5},{buy:{id:wheat_seeds,Count:8},sell:{id:gold_nugget,Count:4},maxUses:5},{buy:{id:gold_nugget,Count:2},sell:{id:string,Count:6},maxUses:5},{buy:{id:gold_nugget,Count:1},sell:{id:beetroot,Count:4},maxUses:5},{buy:{id:beetroot_seeds,Count:8},sell:{id:gold_nugget,Count:4},maxUses:5},{buy:{id:gold_nugget,Count:2},sell:{id:poppy,Count:4},maxUses:5},{buy:{id:gold_nugget,Count:2},sell:{id:white_tulip,Count:4},maxUses:5},{buy:{id:pumpkin_seeds,Count:8},sell:{id:gold_nugget,Count:4},maxUses:5},{buy:{id:bone_meal,Count:4},sell:{id:gold_nugget,Count:2},maxUses:5},{buy:{id:gold_nugget,Count:2},sell:{id:brown_mushroom,Count:4},maxUses:5},{buy:{id:gold_nugget,Count:4},sell:{id:pumpkin,Count:1},maxUses:5},{buy:{id:gold_nugget,Count:2},sell:{id:cornflower,Count:4},maxUses:5},{buy:{id:gold_nugget,Count:2},sell:{id:red_mushroom,Count:2},maxUses:5},{buy:{id:gold_nugget,Count:2},sell:{id:dandelion,Count:4},maxUses:5},{buy:{id:gold_nugget,Count:2},sell:{id:blue_orchid,Count:4},maxUses:5},{buy:{id:gold_nugget,Count:2},sell:{id:azure_bluet,Count:2},maxUses:5},{buy:{id:gold_nugget,Count:2},sell:{id:pink_tulip,Count:4},maxUses:5},{buy:{id:gold_nugget,Count:2},sell:{id:oxeye_daisy,Count:4},maxUses:5},{buy:{id:iron_hoe,Count:1},sell:{id:gold_nugget,Count:8},maxUses:5},{buy:{id:gold_nugget,Count:4},sell:{id:spruce_sapling,Count:8},maxUses:5},{buy:{id:gold_nugget,Count:2},sell:{id:orange_tulip,Count:4},maxUses:5}]}}
               
                
                